Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 163295 - need way to push multiple updates at once
Summary: need way to push multiple updates at once
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora Infrastructure
Classification: Retired
Component: update system
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Luke Macken
QA Contact: Bill Nottingham
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-14 21:28 UTC by Bill Nottingham
Modified: 2016-09-20 02:36 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-07-19 00:49:29 UTC


Attachments (Terms of Use)

Description Bill Nottingham 2005-07-14 21:28:33 UTC
Since the overriding time expenditure in the push process is the metadata
generation (yum-arch/createrepo), it would be good to be able to select multiple
updates and push them all at once, only running the metadata generation once for
the set of them.

Comment 1 Luke Macken 2005-07-18 20:21:20 UTC
Done.

Comment 2 Bill Nottingham 2005-07-18 23:57:06 UTC
When pushing multiple updates, it looks like:

Pushing firefox-1.0.6-0.1.fc3...

Coping firefox-1.0.6-0.1.fc3 from
/mnt/redhat/beehive/comps/dist/fc3-updates-candidate/firefox/1.0.6-0.1.fc3/ to
/mnt/redhat/fedora/updates-stage//testing/3//

/mnt/redhat/beehive/comps/dist/fc3-updates-candidate/firefox/1.0.6-0.1.fc3//SRPMS/firefox-1.0.6-0.1.fc3.src.rpm
=> /mnt/redhat/fedora/updates-stage//testing/3/SRPMS//firefox-1.0.6-0.1.fc3.src.rpm
/mnt/redhat/beehive/comps/dist/fc3-updates-candidate/firefox/1.0.6-0.1.fc3//i386/firefox-1.0.6-0.1.fc3.i386.rpm
=> /mnt/redhat/fedora/updates-stage//testing/3/i386//firefox-1.0.6-0.1.fc3.i386.rpm
/mnt/redhat/beehive/comps/dist/fc3-updates-candidate/firefox/1.0.6-0.1.fc3//i386/firefox-debuginfo-1.0.6-0.1.fc3.i386.rpm
=>
/mnt/redhat/fedora/updates-stage//testing/3/i386//debug/firefox-debuginfo-1.0.6-0.1.fc3.i386.rpm
/mnt/redhat/beehive/comps/dist/fc3-updates-candidate/firefox/1.0.6-0.1.fc3//x86_64/firefox-1.0.6-0.1.fc3.x86_64.rpm
=>
/mnt/redhat/fedora/updates-stage//testing/3/x86_64//firefox-1.0.6-0.1.fc3.x86_64.rpm
/mnt/redhat/beehive/comps/dist/fc3-updates-candidate/firefox/1.0.6-0.1.fc3//x86_64/firefox-debuginfo-1.0.6-0.1.fc3.x86_64.rpm
=>
/mnt/redhat/fedora/updates-stage//testing/3/x86_64//debug/firefox-debuginfo-1.0.6-0.1.fc3.x86_64.rpm

Assigning unique update id

Sending notification mail to caillon@redhat.com

Pushing firefox-1.0.6-0.1.fc4...

Coping firefox-1.0.6-0.1.fc4 from
/mnt/redhat/beehive/comps/dist/fc4-updates-candidate/firefox/1.0.6-0.1.fc4/ to
/mnt/redhat/fedora/updates-stage//testing/4//

/mnt/redhat/beehive/comps/dist/fc4-updates-candidate/firefox/1.0.6-0.1.fc4//SRPMS/firefox-1.0.6-0.1.fc4.src.rpm
=> /mnt/redhat/fedora/updates-stage//testing/4/SRPMS//firefox-1.0.6-0.1.fc4.src.rpm
...

i.e., it's sending the notification mail before it actually pushes the files?


Comment 3 Bill Nottingham 2005-07-19 00:03:14 UTC
It also appears to run yum-arch/createrepo multiple times for the same repository.

Comment 4 Luke Macken 2005-07-19 00:49:29 UTC
This issue should be fixed.


Note You need to log in before you can comment on or make changes to this bug.